<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:01 CET 2009 -->
<TITLE>
AbstractSortedIntSet
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.ints.AbstractSortedIntSet class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractSortedIntSet";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractSortedIntSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/AbstractIntListIterator.html" title="class in ch.javasoft.util.ints"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/AbstractSortedIntSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractSortedIntSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.ints</FONT>
<BR>
Class AbstractSortedIntSet</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.AbstractIntCollection</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.ints.AbstractSortedIntSet</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>, <A HREF="../../../../ch/javasoft/util/ints/IntIterable.html" title="interface in ch.javasoft.util.ints">IntIterable</A>, <A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints">IntSet</A>, <A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints">BitSetIntSet</A>, <A HREF="../../../../ch/javasoft/util/ints/DefaultIntSet.html" title="class in ch.javasoft.util.ints">DefaultIntSet</A>, <A HREF="../../../../ch/javasoft/util/ints/RangeIntSet.html" title="class in ch.javasoft.util.ints">RangeIntSet</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.43"><B>AbstractSortedIntSet</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A><DT>implements <A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></DL>
</PRE>

<P>
Implementation of IntSet, also implementing SortedSet, but with 
 support limited to positive integers.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#mod">mod</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#AbstractSortedIntSet()">AbstractSortedIntSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#AbstractSortedIntSet(int[])">AbstractSortedIntSet</A></B>(int[]&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#AbstractSortedIntSet(ch.javasoft.util.ints.IntCollection)">AbstractSortedIntSet</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;set)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#headSet(int)">headSet</A></B>(int&nbsp;toElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this set whose elements are
 strictly less than <tt>toElement</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#headSet(java.lang.Integer)">headSet</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;toElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#subSet(java.lang.Integer, java.lang.Integer)">subSet</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;fromElement,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;toElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#tailSet(int)">tailSet</A></B>(int&nbsp;fromElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this set whose elements are
 greater than or equal to <tt>fromElement</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html#tailSet(java.lang.Integer)">tailSet</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;fromElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#add(java.lang.Integer)">add</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#addAll(java.util.Collection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#addAll(int...)">addAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#addAll(ch.javasoft.util.ints.IntCollection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#addInt(int)">addInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#clear()">clear</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#clone()">clone</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#contains(java.lang.Object)">contains</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#containsAll(java.util.Collection)">containsAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#containsInt(int)">containsInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#first()">first</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#firstInt()">firstInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#isEmpty()">isEmpty</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#last()">last</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#lastInt()">lastInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#remove(java.lang.Object)">remove</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#removeAll(java.util.Collection)">removeAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#removeInt(int)">removeInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#retainAll(java.util.Collection)">retainAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#size()">size</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toArray()">toArray</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toArray(T[])">toArray</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toArrayInternal(T[], boolean)">toArrayInternal</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toIntArray()">toIntArray</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toIntArray(int[])">toIntArray</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toIntArrayInternal(int[], boolean)">toIntArrayInternal</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.SortedIntSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#subSet(int, int)">subSet</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Set"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#clear()" title="class or interface in java.util">clear</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#isEmpty()" title="class or interface in java.util">isEmpty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#iterator()" title="class or interface in java.util">iterator</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#size()" title="class or interface in java.util">size</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.IntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#addAll(int...)">addAll</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#addAll(ch.javasoft.util.ints.IntCollection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#addInt(int)">addInt</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#containsInt(int)">containsInt</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#removeInt(int)">removeInt</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#toIntArray()">toIntArray</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#toIntArray(int[])">toIntArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.SortedSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#comparator()" title="class or interface in java.util">comparator</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#first()" title="class or interface in java.util">first</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#last()" title="class or interface in java.util">last</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Set"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#clear()" title="class or interface in java.util">clear</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#isEmpty()" title="class or interface in java.util">isEmpty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#iterator()" title="class or interface in java.util">iterator</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#size()" title="class or interface in java.util">size</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractSortedIntSet()"><!-- --></A><H3>
AbstractSortedIntSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.45"><B>AbstractSortedIntSet</B></A>()</PRE>
<DL>
</DL>
<HR>

<A NAME="AbstractSortedIntSet(ch.javasoft.util.ints.IntCollection)"><!-- --></A><H3>
AbstractSortedIntSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.48"><B>AbstractSortedIntSet</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;set)</PRE>
<DL>
</DL>
<HR>

<A NAME="AbstractSortedIntSet(int[])"><!-- --></A><H3>
AbstractSortedIntSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.51"><B>AbstractSortedIntSet</B></A>(int[]&nbsp;values)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="subSet(java.lang.Integer, java.lang.Integer)"><!-- --></A><H3>
subSet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.55"><B>subSet</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;fromElement,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;toElement)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#subSet(java.lang.Integer, java.lang.Integer)">subSet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#subSet(E, E)" title="class or interface in java.util">subSet</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="headSet(int)"><!-- --></A><H3>
headSet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.58"><B>headSet</B></A>(int&nbsp;toElement)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#headSet(int)">SortedIntSet</A></CODE></B></DD>
<DD>Returns a view of the portion of this set whose elements are
 strictly less than <tt>toElement</tt>.  The returned set is
 backed by this set, so changes in the returned set are
 reflected in this set, and vice-versa.  The returned set
 supports all optional set operations that this set supports.

 <p>The returned set will throw an <tt>IllegalArgumentException</tt>
 on an attempt to insert an element outside its range.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#headSet(int)">headSet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>toElement</CODE> - high endpoint (exclusive) of the returned set
<DT><B>Returns:</B><DD>a view of the portion of this set whose elements are strictly
         less than <tt>toElement</tt></DL>
</DD>
</DL>
<HR>

<A NAME="headSet(java.lang.Integer)"><!-- --></A><H3>
headSet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.61"><B>headSet</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;toElement)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#headSet(java.lang.Integer)">headSet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#headSet(E)" title="class or interface in java.util">headSet</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="tailSet(int)"><!-- --></A><H3>
tailSet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.64"><B>tailSet</B></A>(int&nbsp;fromElement)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#tailSet(int)">SortedIntSet</A></CODE></B></DD>
<DD>Returns a view of the portion of this set whose elements are
 greater than or equal to <tt>fromElement</tt>.  The returned
 set is backed by this set, so changes in the returned set are
 reflected in this set, and vice-versa.  The returned set
 supports all optional set operations that this set supports.

 <p>The returned set will throw an <tt>IllegalArgumentException</tt>
 on an attempt to insert an element outside its range.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#tailSet(int)">tailSet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fromElement</CODE> - low endpoint (inclusive) of the returned set
<DT><B>Returns:</B><DD>a view of the portion of this set whose elements are greater
         than or equal to <tt>fromElement</tt></DL>
</DD>
</DL>
<HR>

<A NAME="tailSet(java.lang.Integer)"><!-- --></A><H3>
tailSet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.67"><B>tailSet</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&nbsp;fromElement)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html#tailSet(java.lang.Integer)">tailSet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#tailSet(E)" title="class or interface in java.util">tailSet</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/AbstractSortedIntSet.html#line.72"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#equals(java.lang.Object)">equals</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractSortedIntSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/AbstractIntListIterator.html" title="class in ch.javasoft.util.ints"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/AbstractSortedIntSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractSortedIntSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
